#include <misc.h>
#include <params.h>
C-----------------------------------------------------------------------
      block data blkdat
C-----------------------------------------------------------------------
C
C Contains all data statements for common variables
C
C---------------------------Code history--------------------------------
C
C Original version:  J. Rosinski
C Standardized:      L. Bath, Jun 1992
C                    L. Buja, Feb 1996
C
C-----------------------------------------------------------------------
c
c $Id: blkdat.F,v 1.1 1998/04/01 07:10:41 ccm Exp $
c $Author: ccm $
c
#include <implicit.h>
C------------------------------Parameters-------------------------------
#include <pmgrid.h>
#include <pagrid.h>
C------------------------------Commons----------------------------------
#include <comhst.h>
C-----------------------------------------------------------------------
#include <comlun.h>
C-----------------------------------------------------------------------
#include <compbl.h>
C-----------------------------------------------------------------------
#include <crdcae.h>
C-----------------------------------------------------------------------
#include <perturb.h>
C-----------------------------------------------------------------------
#if ( defined RS6K )
#include </usr/include/fpdc.h>
#endif
#if ( defined SPMD )
#include <hpstats.h>
#include <comspmd.h>
#endif
C-----------------------------------------------------------------------
#if ( defined RS6K )
#include </usr/include/fpdt.h>
#endif
C
C Logical units from /comlun/
C
      data lutag/99*.FALSE./
C
C /COMHST/
C
      data mtapes/0/
C
C /PBL/
C
      data vk, fak, fakn / 0.40, 8.5 , 7.2/
      data betam, betas, betah, sffrac / 15.0, 5.0, 15.0, 0.1 /
      data  ricr /  0.3 /
C
C /CRDCAE/
C H2O EMISSIVITY AND ABSORTIVITY COEFFICIENTS
C
      data coefa/1.01400e+00, 6.41695e-03, 2.85787e-05,
     $           1.01320e+00, 6.86400e-03, 2.96961e-05,
     $           1.02920e+00, 1.01680e-02, 5.30226e-05,
     $           1.02743e+00, 9.85113e-03, 5.00233e-05/
C
      data coefb/8.85675e+00,-3.51620e-02, 2.38653e-04,-1.71439e-06,
     $           5.73841e+00,-1.91919e-02, 1.65993e-04,-1.54665e-06,
     $           6.64034e+00, 1.56651e-02,-9.73357e-05, 0.0,
     $           7.09281e+00, 1.40056e-02,-1.15774e-04, 0.0/
C
      data coefc/9.90127e-01, 1.22475e-03, 4.90135e-06,
     $           9.89753e-01, 1.97081e-03, 3.42046e-06,
     $           9.75230e-01, 1.03341e-03, 0.0,
     $           9.77366e-01, 8.60014e-04, 0.0/
C
      data coefd/7.03047e-01,-2.63501e-03,-1.57023e-06, 0.0,
     $           5.29269e-01,-3.14754e-03, 4.39595e-06, 0.0,
     $           7.88193e-02, 1.31290e-03, 4.25827e-06,-1.23982e-08,
     $           1.62744e-01, 2.22847e-03, 2.60102e-06,-4.30133e-08/
C
      data coefe/3.93137e-02,-4.34341e-05, 3.74545e-07,
     $           3.67785e-02,-3.10794e-05, 2.94436e-07,
     $           7.42500e-02, 3.97397e-05, 0.0,
     $           7.52859e-02, 4.18073e-05, 0.0/
C
      data coeff/2.2037 e-01,1.39719e-03,-7.32011e-06,
     $          -1.40262e-08,2.13638e-10,-2.35955e-13,
     $           3.07431e-01,8.27225e-04,-1.30067e-05,
     $           3.49847e-08,2.07835e-10,-1.98937e-12/
C
      data coefg/9.04489e+00,-9.56499e-03,
     $           1.80898e+01,-1.91300e-02,
     $           8.72239e+00,-9.53359e-03,
     $           1.74448e+01,-1.90672e-02/
C
      data coefh/5.46557e+01,-7.30387e-02,
     $           1.09311e+02,-1.46077e-01,
     $           5.11479e+01,-6.82615e-02,
     $           1.02296e+02,-1.36523e-01/
C
      data coefi/3.31654e-01,-2.86103e-04,-7.87860e-06,
     $           5.88187e-08,-1.25340e-10,-1.37731e-12,
     $           3.14365e-01,-1.33872e-03,-2.15585e-06,
     $           6.07798e-08,-3.45612e-10,-9.34139e-15/
C
      data coefj/2.82096e-02,2.47836e-04,1.16904e-06,
     $           9.27379e-02,8.04454e-04,6.88844e-06/
C
      data coefk/2.48852e-01,2.09667e-03,2.60377e-06,
     $           1.03594e+00,6.58620e-03,4.04456e-06/
C
C Narrow band data for H2O
C 200CM data for 800-1000 CM-1 and 1000-1200 CM-1.
C
      data realk/  0.18967069430426e-04, 0.70172244841851e-04   /
      data   st /  0.31930234492350e-03, 0.97907319939060e-03   /
      data   a1 /  0.28775403075736e-01, 0.23236701470511e-01   /
      data   a2 / -0.57966222388131e-04,-0.95105504388411e-04   /
      data   b1 /  0.29927771523756e-01, 0.21737073577293e-01   /
      data   b2 / -0.86322071248593e-04,-0.78543550629536e-04   /
C
C Set perturbation for solution separation to zero
C
      data pertlim/0.0/
 
#if ( defined SPMD )
C
C Heap data
C
      data cursize/0/
      data maxsize/0/
      data biggest/0/
      data chkheap/.false./
      data chkbufsz/.false./
#if ( defined T3D )
      data smallest/999999999999/
#else
      data smallest/999999999/
#endif
#endif
      end


 
